Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
4.9.153 & 4.14.101 back to CONFIG_GENERIC_CPU=Y[solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
CaptainBlood
Veteran
Veteran


Joined: 24 Jan 2010
Posts: 1103

PostPosted: Wed Feb 20, 2019 7:28 pm    Post subject: 4.9.153 & 4.14.101 back to CONFIG_GENERIC_CPU=Y[solved] Reply with quote

Just updated these two kernels, USE=experimental.

oldconfig sets CONFIG_GENERIC_CPU=Y &
cpu choices when back to the old 4 choices.

Thks 4 ur attention.


Last edited by CaptainBlood on Wed Mar 20, 2019 3:19 am; edited 3 times in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21779
Location: here

PostPosted: Wed Feb 20, 2019 7:38 pm    Post subject: Reply with quote

I think is the same issue posted here
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
CaptainBlood
Veteran
Veteran


Joined: 24 Jan 2010
Posts: 1103

PostPosted: Wed Feb 20, 2019 8:04 pm    Post subject: Reply with quote

Likely, but # kernel branches. moreover stable releases.

Thks 4 ur attention, interest & support.
Back to top
View user's profile Send private message
CaptainBlood
Veteran
Veteran


Joined: 24 Jan 2010
Posts: 1103

PostPosted: Wed Feb 20, 2019 8:50 pm    Post subject: Reply with quote

Seems to be there for both kernels:

https://dev.gentoo.org/~mpagano/genpatches/patches-4.9-159.html
https://dev.gentoo.org/~mpagano/genpatches/patches-4.14-107.html

patching stops with 5004 for both.

I'm just so unconfortable with manual patching... :evil:

Thks 4 ur attention.
Back to top
View user's profile Send private message
Tony0945
Advocate
Advocate


Joined: 25 Jul 2006
Posts: 3076
Location: Illinois, USA

PostPosted: Wed Feb 20, 2019 8:55 pm    Post subject: Reply with quote

Maybe it's time to stop updating my kernels. My hardware is well supported now, so I just risk breakage.

When one of the later kernels (I run 4.4 and 4.14) goes stable, maybe I'll try it.
Back to top
View user's profile Send private message
CaptainBlood
Veteran
Veteran


Joined: 24 Jan 2010
Posts: 1103

PostPosted: Wed Feb 20, 2019 9:40 pm    Post subject: Reply with quote

4;9. patching went fine.

4.14 got an issue:
Code:
patch -p1 < /home/user/Downloads/gentoo/kernel/New
patching file arch/x86/include/asm/module.h
Hunk #1 succeeded at 25 (offset 10 lines).
Hunk #2 succeeded at 61 (offset 10 lines).
patching file arch/x86/Kconfig.cpu
Hunk #1 succeeded at 148 (offset 1 line).
Hunk #2 succeeded at 157 (offset 1 line).
Hunk #3 succeeded at 165 (offset 1 line).
Hunk #4 succeeded at 323 (offset 1 line).
Hunk #5 succeeded at 333 (offset 1 line).
Hunk #6 succeeded at 353 (offset 1 line).
Hunk #7 succeeded at 434 (offset 1 line).
Hunk #8 succeeded at 471 (offset 1 line).
Hunk #9 succeeded at 502 (offset 1 line).
patching file arch/x86/Makefile
Hunk #1 succeeded at 124 (offset 20 lines).
patching file arch/x86/Makefile_32.cpu
Hunk #1 FAILED at 23.
patch unexpectedly ends in middle of line
Hunk #2 succeeded at 32 with fuzz 1.
1 out of 2 hunks FAILED -- saving rejects to file arch/x86/Makefile_32.cpu.rej
Code:
asuslpm /usr/src/linux-4.14.101-gentoo # [1] cat  arch/x86/Makefile_32.cpu.rej
--- arch/x86/Makefile_32.cpu   2016-12-11 14:17:54.000000000 -0500
+++ arch/x86/Makefile_32.cpu   2016-12-20 15:27:05.357148298 -0500
@@ -23,7 +23,18 @@ cflags-$(CONFIG_MK6)      += -march=k6
 # Please note, that patches that add -march=athlon-xp and friends are pointless.
 # They make zero difference whatsosever to performance at this time.
 cflags-$(CONFIG_MK7)      += -march=athlon
+cflags-$(CONFIG_MNATIVE) += $(call cc-option,-march=native)
 cflags-$(CONFIG_MK8)      += $(call cc-option,-march=k8,-march=athlon)
+cflags-$(CONFIG_MK8SSE3)      += $(call cc-option,-march=k8-sse3,-march=athlon)
+cflags-$(CONFIG_MK10)   += $(call cc-option,-march=amdfam10,-march=athlon)
+cflags-$(CONFIG_MBARCELONA)   += $(call cc-option,-march=barcelona,-march=athlon)
+cflags-$(CONFIG_MBOBCAT)   += $(call cc-option,-march=btver1,-march=athlon)
+cflags-$(CONFIG_MJAGUAR)   += $(call cc-option,-march=btver2,-march=athlon)
+cflags-$(CONFIG_MBULLDOZER)   += $(call cc-option,-march=bdver1,-march=athlon)
+cflags-$(CONFIG_MPILEDRIVER)   += $(call cc-option,-march=bdver2,-march=athlon)
+cflags-$(CONFIG_MSTEAMROLLER)   += $(call cc-option,-march=bdver3,-march=athlon)
+cflags-$(CONFIG_MEXCAVATOR)   += $(call cc-option,-march=bdver4,-march=athlon)
+cflags-$(CONFIG_MZEN)   += $(call cc-option,-march=znver1,-march=athlon)
 cflags-$(CONFIG_MCRUSOE)   += -march=i686 $(align)-functions=0 $(align)-jumps=0 $(align)-loops=0
 cflags-$(CONFIG_MEFFICEON)   += -march=i686 $(call tune,pentium3) $(align)-functions=0 $(align)-jumps=0 $(align)-loops=0
 cflags-$(CONFIG_MWINCHIPC6)   += $(call cc-option,-march=winchip-c6,-march=i586)
Thks 4 ur attention, interest & support.
Back to top
View user's profile Send private message
CaptainBlood
Veteran
Veteran


Joined: 24 Jan 2010
Posts: 1103

PostPosted: Wed Feb 20, 2019 9:44 pm    Post subject: Reply with quote

Tony0945 wrote:
Maybe it's time to stop updating my kernels. My hardware is well supported now, so I just risk breakage.

When one of the later kernels (I run 4.4 and 4.14) goes stable, maybe I'll try it.
Wise for the conservatives. No punt intended.
Indeed 4.14 doesn't even patch manually.
Can't tell for 4.4.

Thks 4 ur attention, interest & support.
Back to top
View user's profile Send private message
CaptainBlood
Veteran
Veteran


Joined: 24 Jan 2010
Posts: 1103

PostPosted: Wed Feb 20, 2019 11:45 pm    Post subject: Reply with quote

4.14 worked with patch 8.1+ 4.13+ fromhttps://github.com/graysky2/kernel_gcc_patch
I'll love a patch for 4.9 in 8.1+... Not found yet.

Thks 4 ur attention, interest & support


Last edited by CaptainBlood on Mon Feb 25, 2019 9:24 am; edited 1 time in total
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3235
Location: Gainesville, Florida

PostPosted: Thu Feb 21, 2019 2:39 pm    Post subject: Reply with quote

CaptainBlood,
Maybe this older version would work on 4.4 kernels?

https://github.com/graysky2/kernel_gcc_patch/tree/master/outdated_versions/linux-3.15%2B/gcc-4.2%2B

https://github.com/graysky2/kernel_gcc_patch/blob/master/outdated_versions/linux-3.15%2B/gcc-4.2%2B/enable_additional_cpu_optimizations_for_gcc_kernel_v3.15%2B.patch

Hmmm... Just noticed in this patch it says:
Code:
 REQUIREMENTS
linux version >=3.15
gcc version <4.9

Maybe the problem is the older gcc version?
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.1.16-gentoo USE=experimental
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum